.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  min-width: 400px;
  max-width: 100%;
  width: 300px;

  z-index: 1200;
  background-color: $white;

  &.is-transition-ready {
    transition: all ease-in 0.5s;
  }

  .btn-close-panel {
    position: absolute;
    top: 0;
    right: 0;
  }

  &.is-moving {
    .sidebar-content {
      pointer-events: none;
      user-select: none;
    }
  }

  .sidebar-content {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 4px;
    left: 0;

    overflow: auto;
  }

  .resizer {
    position: absolute;
    right: 0;
    top: 0;
    width: 4px;
  }
}
